io.agora.rtc

## Class VideoTrackInfo

- java.lang.Object
- - io.agora.rtc.VideoTrackInfo

-     public class VideoTrackInfo
      extends java.lang.Object

  Video track information class. Contains information about a video track including ownership, channel, stream type, and codec details.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `channelId` Channel ID.
    `private int` | `codecType` Codec type.
    `private int` | `encodedFrameOnly` Flag to indicate if only encoded frames are used.
    `private int` | `isLocal` Whether the track is local (1) or remote (0).
    `private int` | `observationPosition` Observation position.
    `private int` | `ownerUid` User ID of the track owner.
    `private int` | `sourceType` Video source type.
    `private int` | `streamType` Stream type.
    `private int` | `trackId` Track ID.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VideoTrackInfo()` Default constructor.
    `VideoTrackInfo(int isLocal, int ownerUid, int trackId, java.lang.String channelId, int streamType, int codecType, int encodedFrameOnly, int sourceType, int observationPosition)` Constructor with parameters.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getChannelId()` Gets the channel ID.
    `int` | `getCodecType()` Gets the codec type.
    `int` | `getEncodedFrameOnly()` Gets the encoded frame only flag.
    `int` | `getIsLocal()` Gets whether the track is local.
    `int` | `getObservationPosition()` Gets the observation position.
    `int` | `getOwnerUid()` Gets the user ID of the track owner.
    `int` | `getSourceType()` Gets the video source type.
    `int` | `getStreamType()` Gets the stream type.
    `int` | `getTrackId()` Gets the track ID.
    `void` | `setChannelId(java.lang.String channelId)` Sets the channel ID.
    `void` | `setCodecType(int codecType)` Sets the codec type.
    `void` | `setEncodedFrameOnly(int encodedFrameOnly)` Sets the encoded frame only flag.
    `void` | `setIsLocal(int isLocal)` Sets whether the track is local.
    `void` | `setObservationPosition(int observationPosition)` Sets the observation position.
    `void` | `setOwnerUid(int ownerUid)` Sets the user ID of the track owner.
    `void` | `setSourceType(int sourceType)` Sets the video source type.
    `void` | `setStreamType(int streamType)` Sets the stream type.
    `void` | `setTrackId(int trackId)` Sets the track ID.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### isLocal

          private int isLocal

      Whether the track is local (1) or remote (0).

    - #### ownerUid

          private int ownerUid

      User ID of the track owner.

    - #### trackId

          private int trackId

      Track ID.

    - #### channelId

          private java.lang.String channelId

      Channel ID.

    - #### streamType

          private int streamType

      Stream type.

    - #### codecType

          private int codecType

      Codec type.

    - #### encodedFrameOnly

          private int encodedFrameOnly

      Flag to indicate if only encoded frames are used.

    - #### sourceType

          private int sourceType

      Video source type.

    - #### observationPosition

          private int observationPosition

      Observation position.

  - ### Constructor Detail

    - #### VideoTrackInfo

          public VideoTrackInfo()

      Default constructor.

    - #### VideoTrackInfo

          public VideoTrackInfo(int isLocal,
                                int ownerUid,
                                int trackId,
                                java.lang.String channelId,
                                int streamType,
                                int codecType,
                                int encodedFrameOnly,
                                int sourceType,
                                int observationPosition)

      Constructor with parameters.
      Parameters:
        `isLocal` - Whether the track is local (1) or remote (0)
        `ownerUid` - User ID of the track owner
        `trackId` - Track ID
        `channelId` - Channel ID
        `streamType` - Stream type
        `codecType` - Codec type
        `encodedFrameOnly` - Flag to indicate if only encoded frames are used
        `sourceType` - Video source type
        `observationPosition` - Observation position

  - ### Method Detail

    - #### getIsLocal

          public int getIsLocal()

      Gets whether the track is local.
      Returns:
        1 if local, 0 if remote

    - #### setIsLocal

          public void setIsLocal(int isLocal)

      Sets whether the track is local.
      Parameters:
        `isLocal` - 1 if local, 0 if remote

    - #### getOwnerUid

          public int getOwnerUid()

      Gets the user ID of the track owner.
      Returns:
        User ID of the track owner

    - #### setOwnerUid

          public void setOwnerUid(int ownerUid)

      Sets the user ID of the track owner.
      Parameters:
        `ownerUid` - User ID of the track owner

    - #### getTrackId

          public int getTrackId()

      Gets the track ID.
      Returns:
        Track ID

    - #### setTrackId

          public void setTrackId(int trackId)

      Sets the track ID.
      Parameters:
        `trackId` - Track ID

    - #### getChannelId

          public java.lang.String getChannelId()

      Gets the channel ID.
      Returns:
        Channel ID

    - #### setChannelId

          public void setChannelId(java.lang.String channelId)

      Sets the channel ID.
      Parameters:
        `channelId` - Channel ID

    - #### getStreamType

          public int getStreamType()

      Gets the stream type.
      Returns:
        Stream type

    - #### setStreamType

          public void setStreamType(int streamType)

      Sets the stream type.
      Parameters:
        `streamType` - Stream type

    - #### getCodecType

          public int getCodecType()

      Gets the codec type.
      Returns:
        Codec type

    - #### setCodecType

          public void setCodecType(int codecType)

      Sets the codec type.
      Parameters:
        `codecType` - Codec type

    - #### getEncodedFrameOnly

          public int getEncodedFrameOnly()

      Gets the encoded frame only flag.
      Returns:
        Flag to indicate if only encoded frames are used

    - #### setEncodedFrameOnly

          public void setEncodedFrameOnly(int encodedFrameOnly)

      Sets the encoded frame only flag.
      Parameters:
        `encodedFrameOnly` - Flag to indicate if only encoded frames are used

    - #### getSourceType

          public int getSourceType()

      Gets the video source type.
      Returns:
        Video source type

    - #### setSourceType

          public void setSourceType(int sourceType)

      Sets the video source type.
      Parameters:
        `sourceType` - Video source type

    - #### getObservationPosition

          public int getObservationPosition()

      Gets the observation position.
      Returns:
        Observation position

    - #### setObservationPosition

          public void setObservationPosition(int observationPosition)

      Sets the observation position.
      Parameters:
        `observationPosition` - Observation position